Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.security
Class AbstractEndpointSecurityFilter

    java.lang.Object
      org.mule.security.AbstractEndpointSecurityFilter

All Implemented Interfaces:
  MuleContextAware, Initialisable, EndpointSecurityFilter

Direct Known Subclasses:
  DummySecurityFilter, HttpBasicAuthenticationFilter, HttpBasicAuthenticationFilter, JaasSecurityFilter, MuleEncryptionEndpointSecurityFilter, PGPSecurityFilter

    public abstract class AbstractEndpointSecurityFilter

extends Object
implements EndpointSecurityFilter, MuleContextAware

`AbstractEndpointSecurityFilter` provides basic initialisation for all security filters, namely configuring the SecurityManager for this instance

Field Summary
`protected ImmutableEndpoint` | `endpoint`
`protected Log` | `logger`
`protected MuleContext` | `muleContext`
`protected SecurityManager` | `securityManager`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`AbstractEndpointSecurityFilter()`

Method Summary
`void` | `authenticate(MuleEvent event)`
`protected abstract void` | `authenticateInbound(MuleEvent event)`
`protected abstract void` | `authenticateOutbound(MuleEvent event)`
`protected abstract void` | `doInitialise()`
`CredentialsAccessor` | `getCredentialsAccessor()`
`ImmutableEndpoint` | `getEndpoint()`
`SecurityManager` | `getSecurityManager()`
`String` | `getSecurityProviders()`
`void` | `initialise()` Method used to perform any initialisation work.
`protected void` | `initialiseEndpoint(ImmutableEndpoint endpoint)`
`boolean` | `isAuthenticate()`
`protected void` | `lazyInit(ImmutableEndpoint endpoint)`
`void` | `setAuthenticate(boolean authenticate)`
`void` | `setCredentialsAccessor(CredentialsAccessor credentialsAccessor)`
`void` | `setEndpoint(ImmutableEndpoint endpoint)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setSecurityManager(SecurityManager manager)`
`void` | `setSecurityProviders(String providers)`
`protected void` | `updatePayload(MuleMessage message, Object payload, MuleEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

### securityManager

    protected SecurityManager securityManager

### endpoint

    protected ImmutableEndpoint endpoint

### muleContext

    protected MuleContext muleContext

Constructor Detail

### AbstractEndpointSecurityFilter

    public AbstractEndpointSecurityFilter()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### initialise

    public final void initialise()
                          throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### lazyInit

    protected final void lazyInit(ImmutableEndpoint endpoint)
                           throws InitialisationException

  Throws:
    `InitialisationException`

### initialiseEndpoint

    protected final void initialiseEndpoint(ImmutableEndpoint endpoint)
                                     throws InitialisationException

  Throws:
    `InitialisationException`

### isAuthenticate

    public boolean isAuthenticate()

### setAuthenticate

    public void setAuthenticate(boolean authenticate)

### setSecurityManager

    public void setSecurityManager(SecurityManager manager)

  Specified by:
    `setSecurityManager` in interface `EndpointSecurityFilter`
  Parameters:
    `manager` -

### getSecurityManager

    public SecurityManager getSecurityManager()

  Specified by:
    `getSecurityManager` in interface `EndpointSecurityFilter`

### getSecurityProviders

    public String getSecurityProviders()

  Specified by:
    `getSecurityProviders` in interface `EndpointSecurityFilter`

### setSecurityProviders

    public void setSecurityProviders(String providers)

  Specified by:
    `setSecurityProviders` in interface `EndpointSecurityFilter`

### getEndpoint

    public ImmutableEndpoint getEndpoint()

  Specified by:
    `getEndpoint` in interface `EndpointSecurityFilter`

### setEndpoint

    public void setEndpoint(ImmutableEndpoint endpoint)

  Specified by:
    `setEndpoint` in interface `EndpointSecurityFilter`

### authenticate

    public void authenticate(MuleEvent event)
                      throws SecurityException,
                             UnknownAuthenticationTypeException,
                             CryptoFailureException,
                             SecurityProviderNotFoundException,
                             EncryptionStrategyNotFoundException,
                             InitialisationException

  Specified by:
    `authenticate` in interface `EndpointSecurityFilter`
  Throws:
    `SecurityException`
    `UnknownAuthenticationTypeException`
    `CryptoFailureException`
    `SecurityProviderNotFoundException`
    `EncryptionStrategyNotFoundException`
    `InitialisationException`

### getCredentialsAccessor

    public CredentialsAccessor getCredentialsAccessor()

  Specified by:
    `getCredentialsAccessor` in interface `EndpointSecurityFilter`

### setCredentialsAccessor

    public void setCredentialsAccessor(CredentialsAccessor credentialsAccessor)

  Specified by:
    `setCredentialsAccessor` in interface `EndpointSecurityFilter`

### updatePayload

    protected void updatePayload(MuleMessage message,
                                 Object payload,
                                 MuleEvent event)
                          throws MuleException

  Throws:
    `MuleException`

### authenticateInbound

    protected abstract void authenticateInbound(MuleEvent event)
                                         throws SecurityException,
                                                CryptoFailureException,
                                                SecurityProviderNotFoundException,
                                                EncryptionStrategyNotFoundException,
                                                UnknownAuthenticationTypeException

  Throws:
    `SecurityException`
    `CryptoFailureException`
    `SecurityProviderNotFoundException`
    `EncryptionStrategyNotFoundException`
    `UnknownAuthenticationTypeException`

### authenticateOutbound

    protected abstract void authenticateOutbound(MuleEvent event)
                                          throws SecurityException,
                                                 SecurityProviderNotFoundException,
                                                 CryptoFailureException

  Throws:
    `SecurityException`
    `SecurityProviderNotFoundException`
    `CryptoFailureException`

### doInitialise

    protected abstract void doInitialise()
                                  throws InitialisationException

  Throws:
    `InitialisationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.